import json
import sys

import pygenworkspace.utils

from pygencollection.utils import CollectionUtils

if (__name__ == "{{ name }}"):
    workspace_dirpath = pygenworkspace.utils.workspace_dirpath(__file__)

    pyrightcfg_filepath = workspace_dirpath.resolve_filepath(
        path="./pyrightconfig.json"
    )

    with (open(pyrightcfg_filepath.path()) as f):
        cfg = json.loads(f.read())

    paths = cfg.get("extraPaths")

    for index, path in CollectionUtils.items(paths):
        sys.path.insert(index, workspace_dirpath.resolve_dirpath(path).path())
